# Cleaver

Cleaver is an open-source multi-material tetrahedral meshing tool.

<p align="center">
  <img src="docs/_static/images/splash.png"/>
</p>

Cleaver creates conforming tetrahedral meshes for multimaterial or multiphase volumetric data using the Lattice Cleaving algorithm described [here](https://cleaver.readthedocs.io/en/latest/about.html#method).

The software was initially developed by the NIH Center for Integrative Biomedical Computing at the University of Utah Scientific Computing and Imaging (SCI) Institute.

## Documentation

Refer to the [documentation](https://cleaver.readthedocs.io) for detailed installation and usage details.

For general questions about the project, its applications, or about software usage, please create a discussion in [Cleaver/discussions](https://github.com/SCIInstitute/Cleaver/discussions) where the community can collectively address your questions.

## Authors

Cleaver was developed by the NIH Center for Integrative Biomedical Computing at the University of Utah Scientific Computing and Imaging (SCI) Institute.

Cleaver is an open-source project with a growing community of contributors. The following authors have made significant contributions to the software:

* Jonathan Bronson
* Brig Bagley
* Jess Tate
* Ally Warner
* Dan White
* Ross Whitaker

Many Cleaver contributors are listed in the [contributors page](https://github.com/SCIInstitute/Cleaver/graphs/contributors).

We are grateful for their dedication and outstanding work on the Cleaver project.

## Acknowledgement

This project was supported by the National Institute of General Medical Sciences of the National Institutes of Health under grant numbers P41 GM103545 and R24 GM136986.

## Citing Cleaver

When citing Cleaver in your scientific research, please mention the following work to support increased visibility and dissemination of our software:

> Cleaver: A MultiMaterial Tetrahedral Meshing Library and Application. Scientific Computing and Imaging Institute (SCI), Download from: http://www.sci.utah.edu/software.html, 2015.

For your convenience, you may use the following BibTex entry:

```bibtex
@Misc{SCI:Cleaver,
  author =    "CIBC",
  year =      "2015",
  note =      "Cleaver: A MultiMaterial Tetrahedral Meshing
              Library and Application. Scientific Computing and
              Imaging Institute (SCI), Download from:
              http://www.sci.utah.edu/software.html",
  keywords =  "Cleaver, CIBC",
}
```
